summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Robby Workman2010-05-11 15:00:28 +0200
committer Robby Workman2010-05-11 15:00:28 +0200
commit3d8185209a98839d4cc9b973959c1ec26de95d21 (patch)
treeb20511f6199c16a49e2676144074525e21ab542f /multimedia
parent7d6fcd5cb0f85fbeaa4a773a471ef53f16b4d9dd (diff)
downloadslackbuilds-3d8185209a98839d4cc9b973959c1ec26de95d21.tar.gz
multimedia/mplayer-codecs-all: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mplayer-codecs-all/README5
-rw-r--r--multimedia/mplayer-codecs-all/mplayer-codecs-all.SlackBuild62
-rw-r--r--multimedia/mplayer-codecs-all/mplayer-codecs-all.info8
-rw-r--r--multimedia/mplayer-codecs-all/slack-desc7
4 files changed, 82 insertions, 0 deletions
diff --git a/multimedia/mplayer-codecs-all/README b/multimedia/mplayer-codecs-all/README
new file mode 100644
index 0000000000..8e158d5e46
--- /dev/null
+++ b/multimedia/mplayer-codecs-all/README
@@ -0,0 +1,5 @@
+This script repackages the all-$DATE.tar.bz2 codecs archive distributed by mplayer.
+These codecs install to /usr/lib/codecs (and are also symlinked to /usr/lib/win32
+for compatibility).
+
+When compiling MPlayer, use /usr/lib/codecs as the values for the codecs variables.
diff --git a/multimedia/mplayer-codecs-all/mplayer-codecs-all.SlackBuild b/multimedia/mplayer-codecs-all/mplayer-codecs-all.SlackBuild
new file mode 100644
index 0000000000..c20140e714
--- /dev/null
+++ b/multimedia/mplayer-codecs-all/mplayer-codecs-all.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for mplayer-codecs-all
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=mplayer-codecs-all
+VERSION=20061022
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/lib $OUTPUT
+cd $PKG/usr/lib
+tar -xjvf $CWD/all-$VERSION.tar.bz2 || exit 1
+mv all-$VERSION codecs
+cd codecs
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/lib/codecs/README $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Keep the compatibility symlink to /usr/lib/win32 for now
+( cd $PKG/usr/lib
+ ln -s codecs win32
+)
+
+cd $PKG
+chown -R root:root .
+find . -type f -exec chmod 644 {} \;
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mplayer-codecs-all/mplayer-codecs-all.info b/multimedia/mplayer-codecs-all/mplayer-codecs-all.info
new file mode 100644
index 0000000000..f7fc5c2fe7
--- /dev/null
+++ b/multimedia/mplayer-codecs-all/mplayer-codecs-all.info
@@ -0,0 +1,8 @@
+PRGNAM="mplayer-codecs-all"
+VERSION="20061022"
+HOMEPAGE="http://www.mplayerhq.hu"
+DOWNLOAD="http://www1.mplayerhq.hu/MPlayer/releases/codecs/all-20061022.tar.bz2"
+MD5SUM="cb4bb06ebc804f5dc4ec0ed516dc20d9"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="robw810"
diff --git a/multimedia/mplayer-codecs-all/slack-desc b/multimedia/mplayer-codecs-all/slack-desc
new file mode 100644
index 0000000000..19c07e9e4e
--- /dev/null
+++ b/multimedia/mplayer-codecs-all/slack-desc
@@ -0,0 +1,7 @@
+mplayer-codecs-all: Codecs for MPlayer (ALL - win32, quicktime, etc)
+mplayer-codecs-all:
+mplayer-codecs-all: This is a repackaging of the all-$DATE.tar.bz2
+mplayer-codecs-all: archive distributed by mplayer. These codecs
+mplayer-codecs-all: install to /usr/lib/codecs (and are also symlinked
+mplayer-codecs-all: to /usr/lib/win32 for compatibility).
+mplayer-codecs-all: